<?php
class BuyaddonsExam extends Module
{
    public function __construct()
    {
        $this->name = "buyaddonsexam";
        $this->tab = "front_office_features";
        $this->version = "1.0.0";
        $this->author = "buy-addons";
        $this->need_instance = 0;
        $this->secure_key = Tools::encrypt($this->name);
        $this->bootstrap = true;
        $this->module_key = '109266ed154d174c4856ec182d55ec9d';
        $this->displayName = $this->l('Buy-Addons.com - Example Module, Controller, Page');
        $this->description = $this->l('An Example for create a new modules, a controller, a page');
        parent::__construct();
    }
    public function install()
    {
        if (parent::install() == false) {
            return false;
        }
		/////////////////
		$tab = new Tab();
        $tab->active = 1;
        $tab->class_name = 'Demo';       
        $tab->position = 3;
		$tab->name = array();
        foreach (Language::getLanguages(true) as $lang) {
            $tab->name[$lang['id_lang']] = 'Demo Page';
        }
        $tab->id_parent = (int) Tab::getIdFromClassName('SELL');
        $tab->module = $this->name;
        $tab->add();
        $tab->save();
		/////////////////////////
        return true;
    }
    public function uninstall()
    {
        if (parent::uninstall() == false) {
            return false;
        }
        return true;
    }
}